18 June 2017

How to fix "error: only position independent executables (PIE) are supported."?

Some users still using old gdb and are getting an error "error: only position independent executables (PIE) are supported." when executing gdb on Lollipop and above. It only work on Android 4.2.2-4.4.4, ARM based devices only

To fix it, you must modify linker file and risk it replacing it in your rooted device. Make a full backup or make a Nandroid backup from recovery first.

If you do not like taking risks, please use Termux instead, it works on Lollipop, Marshmallow and above.

If you have x86 device, please use GameGuardian


0 comments:

Post a Comment